<?php
// Definieren Sie das Verzeichnis, in dem die Dateien gespeichert werden sollen
$targetDirectory = __DIR__ . '/_stls/';

// Überprüfen, ob das Verzeichnis existiert, wenn nicht, erstellen Sie es
if (!is_dir($targetDirectory)) {
    mkdir($targetDirectory, 0755, true);
}

// Überprüfen, ob eine Datei hochgeladen wurde
if (isset($_FILES['file']) && $_FILES['file']['error'] === UPLOAD_ERR_OK) {
    // Zugriff auf die Datei-Informationen
    $fileTmpPath = $_FILES['file']['tmp_name'];
    $fileName = $_FILES['file']['name'];
    $fileSize = $_FILES['file']['size'];
    $fileType = $_FILES['file']['type'];
    
    // Sanitize the file name to prevent any unwanted file path
    $fileName = preg_replace("/[^a-zA-Z0-9_\.-]/", "_", $fileName);
    
    // Zielpfad für die hochgeladene Datei
    $destinationPath = $targetDirectory . $fileName . ".stl";

    // Verschieben Sie die Datei in das Zielverzeichnis
    if (move_uploaded_file($fileTmpPath, $destinationPath)) {
        // Basis-URL ermitteln
        $baseUrl = (isset($_SERVER['HTTPS']) ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
        $baseUrl = dirname($baseUrl);
        
        // URL der hochgeladenen Datei erstellen
        $fileUrl = $baseUrl . '/_stls/' . $fileName . ".stl";
        
        // URL der Datei ausgeben
        echo $fileUrl;
        //echo json_encode(['status' => 'success', 'message' => 'Datei erfolgreich hochgeladen.']);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Fehler beim Verschieben der Datei.']);
    }
} else {
    echo json_encode(['status' => 'error', 'message' => 'Keine Datei hochgeladen oder Fehler beim Hochladen.']);
}
?>
